Subject: bug#22012: 25.1.50; gdb broken by (json-string-format "doesn't start with `\"'!")

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Nov 2015 18:00:19 +0200

> Date: Thu, 26 Nov 2015 14:31:53 +0100
> From: martin rudalics <[email-masked]>
> 
>  >> I'm trying to debug window.c.  But I have no idea if that's what
>  >> ‘json-read-string’ tries to read.
>  >
>  > Ah, so the problem is likely not in json.el? I figured it was.
> 
> How would I know what what ‘json-read-string’ tries to read at that
> moment?

Can you switch to that buffer and look what's at point?  And while at
that, post here the full contents of that buffer?